Subject: RE: gcc crash (memory?)
From: "Dan Stratila" <[email-masked]>
To: "'Gerrit P. Haase'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 30 Dec 2005 22:43:57 -0500

> -----Original Message-----
> From: Gerrit P. Haase [gerrit at familiehaase dot de] 
> Sent: Friday, December 30, 2005 10:28 PM
> To: Dan Stratila
> Cc: [email-masked]
> Subject: Re: gcc crash (memory?)

> > It turns out (a part of) the problem was that malloc and 
> new allocate twice
> > the amount of memory requested (see the thread "malloc/new 
> allocate twice as
> > much?"). Installing the latest snapshot solves this 
> problem, and I am now
> > able to compile polymake with g++ taking at most ~600MB. 
> (It took 1.5GB on
> > Red Hat Enterprise Linux 4, but I guess that's because that 
> machine is
> > 64-bit.)

> Interesting, so the next Cygwin release will always use only the half
> amount of memory than before, sounds nice ;)  Glad to hear about this.

I don't know about this. ;) The behavior of g++ itself has not changed so
dramatically---previously it would crash when taking 560MB, but now it
allocates over 600MB, and finished compiling. My guess is that not all
memory calls work the same, or perhaps multiple bugs have been fixed since
the last snapshot... 

Dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/